JUCE: ARAEditorView Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
ARAEditorView Class Reference
juce_audio_processors » utilities

Base class for fulfilling the ARAEditorView role as described in the ARA SDK. More...

`#include <juce_ARAPlugInInstanceRoles.h>`

Inherits ARA::PlugIn::EditorView.

## Classes
class | Listener
| A base class for listeners that want to know about changes to an ARAEditorView object. More...

## Public Member Functions
template<typename RegionSequence_t = ARARegionSequence>
const std::vector< RegionSequence_t * > & | getHiddenRegionSequences () const noexcept
void | doNotifySelection (const ARA::PlugIn::ViewSelection *currentSelection) noexcept override
void | doNotifyHideRegionSequences (const std::vector< ARA::PlugIn::RegionSequence * > &regionSequences) noexcept override
void | addListener (Listener *l)
| Subscribe `l` to notified by changes to the object.
void | removeListener (Listener *l)
| Unsubscribe `l` from object notifications.

## Detailed Description

Base class for fulfilling the ARAEditorView role as described in the ARA SDK.

Instances of this class are constructed by the DocumentController. If you are subclassing ARAEditorView, make sure to call the base class implementation of overridden functions.

## Member Function Documentation

## ◆ getHiddenRegionSequences()

template<typename RegionSequence_t = ARARegionSequence>

const std::vector< RegionSequence_t * > & ARAEditorView::getHiddenRegionSequences | ( |  | ) | const
| noexcept

## ◆ doNotifySelection()

void ARAEditorView::doNotifySelection | ( | const ARA::PlugIn::ViewSelection * | currentSelection | ) |
| overridenoexcept

## ◆ doNotifyHideRegionSequences()

void ARAEditorView::doNotifyHideRegionSequences | ( | const std::vector< ARA::PlugIn::RegionSequence * > & | regionSequences | ) |
| overridenoexcept

## ◆ addListener()

void ARAEditorView::addListener | ( | Listener * | l | ) |

Subscribe `l` to notified by changes to the object.

Parameters

  l | The listener instance.

## ◆ removeListener()

void ARAEditorView::removeListener | ( | Listener * | l | ) |

Unsubscribe `l` from object notifications.

Parameters

  l | The listener instance.

The documentation for this class was generated from the following file:

- juce_ARAPlugInInstanceRoles.h